player_map_info Struct Reference

## Public Attributes

float | scale
| The scale of the map [m/pixel]. More...
uint32_t | width
| The size of the map [pixels]. More...
uint32_t | height
| The size of the map [pixels]. More...
player_pose2d_t | origin
| The origin of the map [m, m, rad]. More...

## Member Data Documentation

uint32_t player_map_info::height

The size of the map [pixels].

player_pose2d_t player_map_info::origin

The origin of the map [m, m, rad].

That is, the real-world pose of cell (0,0) in the map

float player_map_info::scale

The scale of the map [m/pixel].

uint32_t player_map_info::width

The size of the map [pixels].

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45